Subject: Re: [Http-well-known] Speculative registrations

From: Martin J. Dürst <[email-masked]>
Date: Wed, 1 Aug 2018 16:24:15 +0900

Hello Mark,

On 2018/08/01 10:39, Mark Nottingham wrote:
> Hi Martin,
> 
> I think I agree with you on the points below.
> 
> Right now I'm wondering how a provisional status would be helpful; often there's no practical difference between "provisional" and "permanent."
> 
> I could see it being useful if we allowed a provisional entry to be de-registered with notice to the registrant, e.g,. if a standard use pre-empted it, or if it is seen to fall into disuse.
> 
> That would require a bit of extra process text, but I tend to think it's worth it for registrations that are tentative (like this).
> 
> Thoughts?

My own take would be 50/50 for/against adding provisional. So I'm not of 
much help for this particular issue. I hope others can chime in and help 
you go one way or another.

Regards,   Martin.

> Cheers,
> 
> 
>> On 22 Jul 2018, at 4:41 pm, Martin J. Dürst <[email-masked]> wrote:
>>
>> Hello Mark,
>>
>> On 2018/07/20 00:29, Mark Nottingham wrote:
>>> Question for folks ---
>>> The registration request below is not unusual basically, someone has had an idea, written up a pseudo-spec (here, on GitHub), and requested registration.
>>> Under both RFC5785 and the proposed bis, I don't think there are strong grounds for refusing this request.
>>> In particular, there is no evidence of deployment here, or even collaboration with others. Does that cause any discomfort?
>>
>> Not at all. The proposer is trying to register before circulating his draft, so that he doesn't get comments such as "but it's not registered". In some sense, just due diligence that we should encourage.
>>
>>> On the one hand, we want to be open and have a low bar for registration; on the other, speculative requests like this are likely to grow, and if there are too many (especially with overlapping or competing semantics), it can make the registry less useful.
>>
>> We better accept this now that tell him (and similar others) to come back when he has more deployment, because he (and others) might never come back.
>>
>>> Any thoughts about this?
>>> My inclination is to encourage collaboration / demonstrate at least interest in deployment before registration, but that would just be advice, not reason for refusal.
>>
>> How are registrants supposed to demonstrate (interest in) deployment? Should they send a number of signatures on a petition saying "yes, we are interested in deployment, please, please, IANA, register it"? And for actual deployment, how many places? It's easy for many people to put a file on a Web Server in the .well-known directory, and that's already a deployment of one.
>>
>>> I do wonder if we need a "provisional" status, with the understanding that if no deployment is demonstrated within (say) a year, it is de-registered.
>>
>> If you want to create "provisional" as a status, I won't mind. But just leave it at provisional. De-registration after a year is just work, which nobody may find the time to do.
>>
>> Regards,   Martin.
>>
>>> Cheers,
>>>> Begin forwarded message:
>>>>
>>>> From: matthew churcher <[email-masked]>
>>>> Subject: Request for well-known URI: anti-phishing.json
>>>> Date: 17 July 2018 at 5:56:07 pm GMT-4
>>>> To: [email-masked]
>>>> Archived-At: <https://mailarchive.ietf.org/arch/msg/wellknown-uri-review/lCkGMjHVQsMdRLbCHJjbqUh5uuU>
>>>>
>>>> URI suffix:
>>>> anti-phishing.json
>>>>
>>>> Change controller:
>>>> Matthew Churcher <[email-masked] <mailto:[email-masked]>>
>>>>
>>>> Specification document(s): https://github.com/SecureFrom/anti-phishing.json <https://github.com/SecureFrom/anti-phishing.json>
>>>>
>>>> Related information: This is a new initiative which currently has no citations. I'm looking to provisionally secure a well-known uri in preparation to circulate a draft specification for wider discussion. Any comment is welcome via email or GitHub.
> 
> --
> Mark Nottingham   https://www.mnot.net/
> 
> .
> 

-- 
Prof. Dr.sc. Martin J. Dürst
Department of Intelligent Information Technology
College of Science and Engineering
Aoyama Gakuin University
Fuchinobe 5-1-10, Chuo-ku, Sagamihara
252-5258 Japan